Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network242.136.4.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
Network address
242.136.4.0
Broadcast address
242.136.4.255
First usable
242.136.4.1
Last usable
242.136.4.254
Usable hosts
254 (256 less the network and broadcast addresses)
Subnet mask
255.255.255.0
Wildcard mask
0.0.0.255 (Cisco ACLs, OSPF)
Prefix length
/24
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F2880400 · Integer 4069000192 to 4069000447
Reverse DNS zone
4.136.242.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110010.10001000.00000100..00000000242.136.4.0
Subnet mask11111111.11111111.11111111..00000000255.255.255.0
Network11110010.10001000.00000100..00000000242.136.4.0
Broadcast11110010.10001000.00000100..11111111242.136.4.255
Split into smaller subnets/30

242.136.4.0/24 makes 64 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1242.136.4.0/30242.136.4.1 to 242.136.4.2242.136.4.32
2242.136.4.4/30242.136.4.5 to 242.136.4.6242.136.4.72
3242.136.4.8/30242.136.4.9 to 242.136.4.10242.136.4.112
4242.136.4.12/30242.136.4.13 to 242.136.4.14242.136.4.152
5242.136.4.16/30242.136.4.17 to 242.136.4.18242.136.4.192
6242.136.4.20/30242.136.4.21 to 242.136.4.22242.136.4.232
7242.136.4.24/30242.136.4.25 to 242.136.4.26242.136.4.272
8242.136.4.28/30242.136.4.29 to 242.136.4.30242.136.4.312
9242.136.4.32/30242.136.4.33 to 242.136.4.34242.136.4.352
10242.136.4.36/30242.136.4.37 to 242.136.4.38242.136.4.392
11242.136.4.40/30242.136.4.41 to 242.136.4.42242.136.4.432
12242.136.4.44/30242.136.4.45 to 242.136.4.46242.136.4.472
13242.136.4.48/30242.136.4.49 to 242.136.4.50242.136.4.512
14242.136.4.52/30242.136.4.53 to 242.136.4.54242.136.4.552
15242.136.4.56/30242.136.4.57 to 242.136.4.58242.136.4.592
16242.136.4.60/30242.136.4.61 to 242.136.4.62242.136.4.632
17242.136.4.64/30242.136.4.65 to 242.136.4.66242.136.4.672
18242.136.4.68/30242.136.4.69 to 242.136.4.70242.136.4.712
19242.136.4.72/30242.136.4.73 to 242.136.4.74242.136.4.752
20242.136.4.76/30242.136.4.77 to 242.136.4.78242.136.4.792
21242.136.4.80/30242.136.4.81 to 242.136.4.82242.136.4.832
22242.136.4.84/30242.136.4.85 to 242.136.4.86242.136.4.872
23242.136.4.88/30242.136.4.89 to 242.136.4.90242.136.4.912
24242.136.4.92/30242.136.4.93 to 242.136.4.94242.136.4.952
25242.136.4.96/30242.136.4.97 to 242.136.4.98242.136.4.992
26242.136.4.100/30242.136.4.101 to 242.136.4.102242.136.4.1032
27242.136.4.104/30242.136.4.105 to 242.136.4.106242.136.4.1072
28242.136.4.108/30242.136.4.109 to 242.136.4.110242.136.4.1112
29242.136.4.112/30242.136.4.113 to 242.136.4.114242.136.4.1152
30242.136.4.116/30242.136.4.117 to 242.136.4.118242.136.4.1192
31242.136.4.120/30242.136.4.121 to 242.136.4.122242.136.4.1232
32242.136.4.124/30242.136.4.125 to 242.136.4.126242.136.4.1272
33242.136.4.128/30242.136.4.129 to 242.136.4.130242.136.4.1312
34242.136.4.132/30242.136.4.133 to 242.136.4.134242.136.4.1352
35242.136.4.136/30242.136.4.137 to 242.136.4.138242.136.4.1392
36242.136.4.140/30242.136.4.141 to 242.136.4.142242.136.4.1432
37242.136.4.144/30242.136.4.145 to 242.136.4.146242.136.4.1472
38242.136.4.148/30242.136.4.149 to 242.136.4.150242.136.4.1512
39242.136.4.152/30242.136.4.153 to 242.136.4.154242.136.4.1552
40242.136.4.156/30242.136.4.157 to 242.136.4.158242.136.4.1592
41242.136.4.160/30242.136.4.161 to 242.136.4.162242.136.4.1632
42242.136.4.164/30242.136.4.165 to 242.136.4.166242.136.4.1672
43242.136.4.168/30242.136.4.169 to 242.136.4.170242.136.4.1712
44242.136.4.172/30242.136.4.173 to 242.136.4.174242.136.4.1752
45242.136.4.176/30242.136.4.177 to 242.136.4.178242.136.4.1792
46242.136.4.180/30242.136.4.181 to 242.136.4.182242.136.4.1832
47242.136.4.184/30242.136.4.185 to 242.136.4.186242.136.4.1872
48242.136.4.188/30242.136.4.189 to 242.136.4.190242.136.4.1912
49242.136.4.192/30242.136.4.193 to 242.136.4.194242.136.4.1952
50242.136.4.196/30242.136.4.197 to 242.136.4.198242.136.4.1992
51242.136.4.200/30242.136.4.201 to 242.136.4.202242.136.4.2032
52242.136.4.204/30242.136.4.205 to 242.136.4.206242.136.4.2072
53242.136.4.208/30242.136.4.209 to 242.136.4.210242.136.4.2112
54242.136.4.212/30242.136.4.213 to 242.136.4.214242.136.4.2152
55242.136.4.216/30242.136.4.217 to 242.136.4.218242.136.4.2192
56242.136.4.220/30242.136.4.221 to 242.136.4.222242.136.4.2232
57242.136.4.224/30242.136.4.225 to 242.136.4.226242.136.4.2272
58242.136.4.228/30242.136.4.229 to 242.136.4.230242.136.4.2312
59242.136.4.232/30242.136.4.233 to 242.136.4.234242.136.4.2352
60242.136.4.236/30242.136.4.237 to 242.136.4.238242.136.4.2392
61242.136.4.240/30242.136.4.241 to 242.136.4.242242.136.4.2432
62242.136.4.244/30242.136.4.245 to 242.136.4.246242.136.4.2472
63242.136.4.248/30242.136.4.249 to 242.136.4.250242.136.4.2512
64242.136.4.252/30242.136.4.253 to 242.136.4.254242.136.4.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses